#####################################################################
# EJ(20170310)
# Tables
#####################################################################

load("RData.med")
load("RData.nea")

#====================================================================
# Information source
#====================================================================

tabsrc <- unique(sam[,c("stk", "asses_year", "Assessment_URL", "source")])
tabsrc$Area <- "FAO37"
names(tabsrc) <- c("Stock","Assessment year", "Report", "Source")

df1 <- unique(saeu[,c("FishStock", "AssessmentYear", "Report")])
df1$source <- "ICES"
df1$Area <- "FAO27"
names(df1) <- names(tabsrc)

tabsrc <- rbind(tabsrc, df1)

write.csv(tabsrc, file="tabsrc.csv", row.names=FALSE)

#====================================================================
# Results in final year
#====================================================================

sam0 <- sam[!sam$projected,]
tab <- subset(sam0, Year == fnlYear)
ysa <- tapply(sam0$Year, sam0$stk, max)
tab <- rbind(tab, subset(sam0, Year == fnlYear-1 & stk %in% names(ysa[ysa==fnlYear-1])))
tab <- rbind(tab, subset(sam0, Year == fnlYear-2 & stk %in% names(ysa[ysa==fnlYear-2])))
#tab$EcoRegion <- "Western Med."
#tab[tab$Area %in% c("12_13_14_15_16", "17", "17_18", "17_18_19", "18_19", "19"), "EcoRegion"] <- "Central Med."
#tab[tab$Area =="25", "EcoRegion"] <- "Eastern Med."
#tab[tab$Area =="29", "EcoRegion"] <- "Black sea"
tab <- tab[,c("EcoRegion", "Year", "stk", "StockDescription", "indF")]
tab <- transform(tab, Fstatus=indF<=1)
tab$SBL <- NA
tab$CFP <- NA
tab$Region <- "FAO37"
tabres <- tab[,c("Region","EcoRegion","Year","stk","StockDescription","indF","Fstatus","SBL", "CFP")]
names(tabres) <- c("Region", "EcoRegion","Year","Stock","Description","F ind","F status","SBL", "CFP")
tabres <- tabres[order(tabres$EcoRegion),]

saeu0 <- saeu[!saeu$projected,]
tab <- subset(saeu0, Year == fnlYear)
ysa <- tapply(saeu0$Year, saeu0$FishStock, max)
tab <- rbind(tab, subset(saeu0, Year == fnlYear-1 & FishStock %in% names(ysa[ysa==fnlYear-1])))
tab <- rbind(tab, subset(saeu0, Year == fnlYear-2 & FishStock %in% names(ysa[ysa==fnlYear-2])))
tab <- transform(tab, Fstatus=indF<=1, Region="FAO27")
tab[!is.na(tab$MSYBescapement),"indF"] <- NA
tab <- tab[,c("Region", "EcoRegion", "Year", "FishStock", "StockDescription", "indF", "Fstatus", "SBL","CFP")]
names(tab) <- names(tabres)
tab <- tab[order(tab$EcoRegion),]
tabres <- rbind(tabres, tab)

write.csv(tabres, file="tabStkStatus.csv", row.names=FALSE)


